{%- from 'components/header.html.jinja' import header -%}
{%- from 'components/footer.html.jinja' import footer -%}
<!doctype html>
<html data-bs-theme="light" lang="{{ language }}">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, shrink-to-fit=no"
    />
    <meta name="description" content="{{ metaDescription }}" />
    <title>{{ titleTag }}</title>
    <link
      rel="icon"
      type="image/png"
      sizes="32x32"
      href="{{ get_static_url('/img/favicon/favicon-32x32.png') }}"
    />
    <link
      rel="stylesheet"
      href="{{ get_static_url('/css/bootstrap.min.css') }}"
    />
    <link rel="stylesheet" href="{{ get_static_url('/css/styles.css') }}" />
    <link
      rel="stylesheet"
      href="{{ get_static_url('/css/bootstrap-icons.min.css') }}"
    />
    {%- block extra_css -%}
    {%- endblock -%}
    {%- if user_tracking -%}
      <script
        defer
        data-domain="{{ baseurl }}"
        src="https://plausible.io/js/script.file-downloads.outbound-links.js"
      ></script>
    {%- endif -%}
  </head>
  <body>
    <svg class="d-none" xmlns="http://www.w3.org/2000/svg">
      <symbol id="search" viewBox="0 0 16 16">
        <path
          d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001q.044.06.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1 1 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0"
        />
      </symbol>
      <symbol id="arrow-right" viewBox="0 0 16 16">
        <path
          fill-rule="evenodd"
          d="M1 8a.5.5 0 0 1 .5-.5h11.793l-3.147-3.146a.5.5 0 0 1 .708-.708l4 4a.5.5 0 0 1 0 .708l-4 4a.5.5 0 0 1-.708-.708L13.293 8.5H1.5A.5.5 0 0 1 1 8z"
        ></path>
      </symbol>
      <symbol id="box-arrow-up-right" viewBox="0 0 16 16">
        <path
          fill-rule="evenodd"
          d="M8.636 3.5a.5.5 0 0 0-.5-.5H1.5A1.5 1.5 0 0 0 0 4.5v10A1.5 1.5 0 0 0 1.5 16h10a1.5 1.5 0 0 0 1.5-1.5V7.864a.5.5 0 0 0-1 0V14.5a.5.5 0 0 1-.5.5h-10a.5.5 0 0 1-.5-.5v-10a.5.5 0 0 1 .5-.5h6.636a.5.5 0 0 0 .5-.5"
        />
        <path
          fill-rule="evenodd"
          d="M16 .5a.5.5 0 0 0-.5-.5h-5a.5.5 0 0 0 0 1h3.793L6.146 9.146a.5.5 0 1 0 .708.708L15 1.707V5.5a.5.5 0 0 0 1 0z"
        />
      </symbol>
      {%- block extra_svg -%}{%- endblock -%}
    </svg>

    {{ header(base, active_tab) }}

    <main class="d-flex flex-column" id="main-content">
      {%- block page -%}
      {%- endblock -%}
    </main>

    {{ footer(base) }}

    <script src="{{ get_static_url('/js/bootstrap.bundle.min.js') }}"></script>
    <script src="{{ get_static_url('/js/htmx.min.js') }}"></script>
    <script src="{{ get_static_url('/js/copy-to-clipboard.js') }}"></script>
    <script src="{{ get_static_url('/js/init-tooltips.js') }}"></script>
    {% block extra_js %}{% endblock %}
  </body>
</html>
